3 Replies Latest reply: Dec 20, 2013 11:12 AM by Kappy
JOGLOjuaninamillion Level 1 Level 1 (0 points)

Looking for FAQ related to this issue...  Thanks


iMac, Mac OS X (10.4.11), 512 MB
  • 1. Re: migrating from v10.4 to later versions of os x
    Kappy Level 10 Level 10 (226,775 points)

    You mean this one?

     

    A Basic Guide for Data Migration

     

    If you are migrating a PowerPC (PowerMac) system (G3, G4, or G5) to an Intel-Mac be careful what you migrate. Keep in mind that some items that may get transferred will not work on Intel machines and may end up causing your computer's operating system to malfunction.

     

    Note: if you are upgrading to a Mac with Mac OS X 10.7 (Lion) or later, or with the intent of upgrading to 10.7 or later anytime in the future, be aware that any applications that are not labelled Universal, or haven't been upgraded to Intel CPU compatibility will not run on Lion or later.  Documents may migrate if an Intel native application exists that will open them, but applications that are PowerPC only will not.  This user tip explains what else is needed for upgrading to Lion: https://discussions.apple.com/docs/DOC-2465.

     

    This also means for any Mac model whose hardware or firmware that has been refreshed on or after July 20, 2011, you won't be able to install 10.6.8 or get Rosetta from it unless you follow a link at the end of this tip.  It may be better to get a used or refurbished Mac that predates July 20, 2011.  See the Snow Leopard tip on the bottom for which Macs support Rosetta, which in turn supports older PowerPC applications.

     

    Both Leopard (10.5) , and Tiger (10.4.4 through 10.4.11, excluding 10.4.0, 10.4.1, 10.4.2, and 10.4.3) have PowerPC and Intel Mac support, and upgrading to either, this tip here, as well as links to my tip on Tiger and Leopard will help with your upgrade.

     

    The Knowledgebase article Intel-based Mac: Some migrated applications may need to be updated refers to methods of dealing with migrating from PowerPC chips to Intel with the Migration Assistant safely. The authors of this tip have not had a chance to verify this works in all instances, or that it avoids the 10.6.1 and earlier Guest Account bug that caused account information to get deleted upon use of the Migration/Setup Assistant. However, a well backed up source that includes at least two backups of all the data that are not connected to your machine will help you avoid potential issues, should they arise. In event it does not work, follow the steps below.

     

    Rosetta supports "software that runs on the PowerPC G3, G4, or G5 processor that are built for Mac OS X". This excludes the items that are not universal binaries or simply will not work in Rosetta:

     

    Classic Environment, and subsequently any Mac OS 9 or earlier applications

    Screensavers written for the PowerPC

    System Preference add-ons

    All Unsanity Haxies

    Browser and other plug-ins

    Contextual Menu Items

    Applications which specifically require the PowerPC G5

    Kernel extensions

    Java applications with JNI (PowerPC) libraries

     

    See also What Can Be Translated by Rosetta.

     

    In addition to the above you could also have problems with migrated cache files and/or cache files containing code that is incompatible.

     

    If you migrate a user folder that contains any of these items, you may find that your Intel-Mac is malfunctioning. It would be wise to take care when migrating your systems from a PowerPC platform to an Intel-Mac platform to assure that you do not migrate these incompatible items.

     

    If you have problems with applications not working, then completely uninstall said application and reinstall it from scratch. Take great care with Java applications and Java-based Peer-to-Peer applications. Many Java apps will not work on Intel-Macs as they are currently compiled. As of this time Limewire, Cabos, and Acquisition are available as universal binaries. Do not install browser plug-ins such as Flash or Shockwave from downloaded installers unless they are universal binaries. The version of OS X installed on your Intel-Mac comes with special compatible versions of Flash and Shockwave plug-ins for use with your browser.

     

    The same problem will exist for any hardware drivers such as mouse software unless the drivers have been compiled as universal binaries. For third-party mice the current choices are USB Overdrive or SteerMouse. Contact the developer or manufacturer of your third-party mouse software to find out when a universal binary version will be available.

     

    Also be careful with some backup utilities and third-party disk repair utilities. Disk Warrior 4.1, TechTool Pro 4.6.1, SuperDuper 2.5, and Drive Genius 2.0.2 work properly on Intel-Macs with Leopard. The same caution may apply to the many "maintenance" utilities that have not yet been converted to universal binaries. Leopard Cache Cleaner, Onyx, TinkerTool System, and Cocktail are now compatible with Leopard.

     

    Before migrating or installing software on your Intel-Mac check MacFixit's Rosetta Compatibility Index.

     

    Additional links that will be helpful to new Intel-Mac users:

     

    Intel In Macs

    Apple Guide to Universal Applications

    MacInTouch List of Compatible Universal Binaries

    MacInTouch List of Rosetta Compatible Applications

    MacUpdate List of Intel-Compatible Software

    Transferring data with Setup Assistant - Migration Assistant FAQ

     


      Because Migration Assistant isn't the ideal way to migrate from PowerPC to Intel Macs, using Target Disk Mode, copying the critical contents to CD and DVD, an external hard drive, or networking will work better when moving from PowerPC to Intel Macs. The initial section below discusses Target Disk Mode. It is then followed by a section which discusses networking with Macs that lack Firewire.  You can also determine if you have Firewire by looking at this image of the ports typically found on a PowerMac G4 Firewire 800, which has two 6 pin Firewire 400 (IEEE 1394a) ports below the USB ports, and below that, a Firewire 800 (IEEE 1394b).

     

    PowerMac+G4+MDD+rear.jpg

     

    The 4 pin Firewire found on many camcorders is just a Firewire 400 port that is not powered by the computer.  Cables exist that can convert between all three.


      If both computers support the use of Firewire then you can use the following instructions:

     

    1. Repair the hard drive and permissions using Disk Utility.

    2. Backup your data. This is vitally important in case you make a mistake or there's some other problem.

    3. Connect a Firewire cable between your old Mac and your new Intel Mac.

    4. Startup your old Mac in Target Disk Mode.

    5. Startup your new Mac for the first time, go through the setup and registration screens, but do NOT

        migrate data over. Get to your desktop on the new Mac without migrating any new data over.

     

    If you are not able to use a Firewire connection (for example you have a Late 2008 MacBook that only supports USB:)

     

    1. Set up a local home network: Creating a small Ethernet Network.

     

    2. If you have a MacBook Air or Late 2008 MacBook see the following:

     

    MacBook (13-inch, Aluminum, Late 2008) and MacBook Pro (15-inch, Late 2008)- Migration Tips and Tricks;

    MacBook (13-inch, Aluminum, Late 2008) and MacBook Pro (15-inch, Late 2008)- What to do if migration is

    unsuccessful;

    MacBook Air- Migration Tips and Tricks;

    MacBook Air- Remote Disc, Migration, or Remote Install Mac OS X and wireless 802.11n networks.

     

    Copy the following items from your old Mac to the new Mac:

     

    In your /Home/ folder: Documents, Movies, Music, Pictures, and Sites folders.

     

    In your /Home/Library/ folder:

     

     

    /Home/Library/Application Support/AddressBook (copy the whole folder)

    /Home/Library/Application Support/iCal (copy the whole folder)

     

     

    Also in /Home/Library/Application Support (copy whatever else you need including folders for any third-party applications)

     

    /Home/Library/Keychains (copy the whole folder)

    /Home/Library/Mail (copy the whole folder)

    /Home/Library/Preferences/ (copy the whole folder)

    /Home/Library/Calendars (copy the whole folder)

    /Home/Library/iTunes (copy the whole folder)

    /Home/Library/Safari (copy the whole folder)

     

     

    /Home/Library/Fonts

    /Home/Library/Widgets

     

    /Home/Library/Syndication (Tiger) or /Home/Library/PubSub (Leopard) <<< RSS

    /Home/Library/Internet Plug-In

    Credit goes to iBod for this information.

     

     

    If you want cookies:

     

    /Home/Library/Cookies/Cookies.plist

    /Home/Library/Application Support/WebFoundation/HTTPCookies.plist

     

    For Entourage users:

     

    Entourage is in /Home/Documents/Microsoft User Data

    Also in /Home/Library/Preferences/Microsoft

     

    Credit goes to Macjack for this information.

     

    If you need to transfer data for other applications please ask the vendor or ask in the Discussions where specific applications store their data.

     

    5. Once you have transferred what you need restart the new Mac and test to make sure the contents are there for each of the applications.

     

    Special instructions for those who have purchased Mac models that do not support Rosetta:

     

    The newest (post 2010) Mac models run only Lion or Mountain Lion. They are not able to run Snow Leopard at all. However, you can still run PPC applications using Snow Leopard and Rosetta by intalling Snow Leopard as a virtual machine using Parallels. This is not an exercise for the truly inexperienced user, but it is completely doable provided you are willing to spend some money and some time. For complete instructions on what to do see https://discussions.apple.com/message/18280105#18280105. Although the instructions are keyed to Parallels 7, you should instead use the latest version, Parallels 8. (This information was contributed by user MlchaelLAX.)

     

    Written by Kappy with additional contributions from a brody.

  • 2. Re: migrating from v10.4 to later versions of os x
    Allan Eckert Level 8 Level 8 (41,525 points)

    If you Mac meets the requiremnents

     

    • Mac computer with an Intel processor
    • 1GB of memory
    • 5GB of available disk space
    • DVD drive for installation

     

    I sugest you call Apple and purchase a Snow Leopard install DVD.

  • 3. Re: migrating from v10.4 to later versions of os x
    Kappy Level 10 Level 10 (226,775 points)

    If you need to know how to upgrade:

     

    Upgrading to Snow Leopard

     

    You can purchase Snow Leopard through the Apple Store: Mac OS X 10.6 Snow Leopard - Apple Store (U.S.). The price is $19.99 plus tax. You will be sent physical media by mail after placing your order.

     

    After you install Snow Leopard you will have to download and install the Mac OS X 10.6.8 Update Combo v1.1 to update Snow Leopard to 10.6.8 and give you access to the App Store. Access to the App Store enables you to download Mountain Lion if your computer meets the requirements.

     

         Snow Leopard General Requirements

     

           1. Mac computer with an Intel processor

           2. 1GB of memory

           3. 5GB of available disk space

           4. DVD drive for installation

           5. Some features require a compatible Internet service provider;

               fees may apply.

           6. Some features require Apple’s iCloud services; fees and

               terms apply.

     

    Upgrading from Snow Leopard to Lion or Mavericks

     

    To upgrade to Mavericks you must have Snow Leopard 10.6.8, Lion, or Mountain Lion installed. Purchase and download Mavericks (Free) from the App Store. Sign in using your Apple ID. The file is quite large, over 5 GBs, so allow some time to download. It would be preferable to use Ethernet because it is nearly four times faster than wireless.

     

         OS X Mavericks- System Requirements

     

           Macs that can be upgraded to OS X Mavericks

     

             1. iMac (Mid 2007 or newer) — Model Identifier 7,1 or later

             2. MacBook (Late 2008 Aluminum, or Early 2009 or newer) —

                 Model Identifier 5,1 or later

             3. MacBook Pro (Mid/Late 2007 or newer) — Model Identifier 3,1 or later

             4. MacBook Air (Late 2008 or newer) — Model Identifier 2,1 or later

             5. Mac mini (Early 2009 or newer) — Model Identifier 3,1 or later

             6. Mac Pro (Early 2008 or newer) — Model Identifier 3,1 or later

             7. Xserve (Early 2009) — Model Identifier 3,1 or later

     

    To find the model identifier open System Profiler in the Utilities folder. It's displayed in the panel on the right.

     

    Are my applications compatible?

     

             See App Compatibility Table — RoaringApps.

     

    Upgrading to Lion

     

    If your computer does not meet the requirements to install Mavericks, it may still meet the requirements to install Lion.

     

    You can purchase Lion by contacting Customer Service: Contacting Apple for support and service - this includes international calling numbers. The cost is $19.99 (as it was before) plus tax.  It's a download. You will get an email containing a redemption code that you then use at the Mac App Store to download Lion. Save a copy of that installer to your Downloads folder because the installer deletes itself at the end of the installation.

     

         Lion System Requirements

     

           1. Mac computer with an Intel Core 2 Duo, Core i3, Core i5, Core i7,

               or Xeon processor

           2. 2GB of memory

           3. OS X v10.6.6 or later (v10.6.8 recommended)

           4. 7GB of available space

           5. Some features require an Apple ID; terms apply.